const mysql = require('mysql');

// Créez une connexion à la base de données
const db = mysql.createConnection({
    host: process.env.DATABASE_HOST,
    user: process.env.DATABASE_USER,
    password: process.env.DATABASE_PASSWORD,
    database: process.env.DATABASE
});

// Fonction pour récupérer les données depuis la base de données
exports.getHistoriqueData = (userId, callback) => {
    db.query('SELECT * FROM search WHERE id = ? LIMIT 50', [userId], (error, results) => {
        if (error) {
            console.error('Erreur lors de la récupération des données depuis la base de données :', error);
            callback(error, null);
        } else {
            callback(null, results);
        }
    });
};
